import ItemDetails from "./ItemDetails";

const OrderDetails = ({ order, showDetails }) => {

  const sampleItems = [
    {
      itemId: "17",
      itemName: "Apple iPhone",
      itemQuantity: 4,
      itemPrice: 17.99,
      itemSku: 8765309,
    },
    {
      itemId: "12",
      itemName: "Google Pixel",
      itemQuantity: 42,
      itemPrice: 17.99,
      itemSku: 8715309,
    },
    {
      itemId: "123",
      itemName: "Google Pixel",
      itemQuantity: 42,
      itemPrice: 17.99,
      itemSku: 8715309,
    },
    {
      itemId: "124",
      itemName: "Google Pixel",
      itemQuantity: 42,
      itemPrice: 17.99,
      itemSku: 8715309,
    },
    {
      itemId: "125",
      itemName: "Google Pixel",
      itemQuantity: 42,
      itemPrice: 17.99,
      itemSku: 8715309,
    },

  ];

  return (
    <div className={`order-details ${showDetails ? "animate" : ""}`}>
      <div className="order-details-container">
        <div>
          {`Order Details - Warehouse Order #: ${order.id}`}
        </div>
        <ul>
          {sampleItems.map( item => (
            <ItemDetails key={item.itemId}item={item} />
          ))}

        </ul>

      </div>
    </div>
  )
}

export default OrderDetails;